
;##############################################################################
;                          FWF character identifiers
;##############################################################################


;==============================================================================
; Notes:
;  $00 is the string terminator.
;  $20-$52 also act as diacritic control codes.
;  $E3-$F4 are item icons; refer to C3/2768.
;  Refer to C3/6274 for blitz inputs.
;  $FF is a blank space.
;==============================================================================


; Palette squares from Config menu (BG1 only)
 !pal1 = $01      ; Color 1
 !pal2 = $02      ; Color 2
 !pal3 = $03      ; Color 3
 !pal4 = $04      ; Color 4
 !pal5 = $05      ; Color 5
 !pal6 = $06      ; Color 6
 !pal7 = $07      ; Color 7

; Gauge segments (RGB, ATB)
 !bar0 = $10      ; 0/8 full
 !bar1 = $11      ; 1/8 full (ATB only)
 !bar2 = $12      ; 2/8 full
 !bar3 = $13      ; 3/8 full (ATB only)
 !bar4 = $14      ; 4/8 full
 !bar5 = $15      ; 5/8 full (ATB only)
 !bar6 = $16      ; 6/8 full
 !bar7 = $17      ; 7/8 full (ATB only)
 !bar8 = $18      ; 8/8 full
 !barl = $19      ; Left side
 !barr = $1A      ; Right side

; Diacritical marks
 !daku = $51      ; Dakuten
 !hnda = $52      ; Handakuten

; Numerical digits
 !num0 = $53      ; 0
 !num1 = $54      ; 1
 !num2 = $55      ; 2
 !num3 = $56      ; 3
 !num4 = $57      ; 4
 !num5 = $58      ; 5
 !num6 = $59      ; 6
 !num7 = $5A      ; 7
 !num8 = $5B      ; 8
 !num9 = $5C      ; 9

; Signs
 !2dot = $C7      ; Two-dot leader
 !ques = $CB      ; Question mark
 !perc = $CD      ; Percent
 !coln = $CF      ; Colon
 !up   = $D4      ; Upward arrow
 !mult = $D7      ; Multiplication


;##############################################################################
;                       FWF string pointers and lengths
;##############################################################################

; Tag for isolating bank byte
 !h = >>16

; Actor naming menu options
 !anm_ct  = $D8E8C8

; Actor classes
 !act_cs  = $0007   ; Text length
 !act_cp  = $CF3B40 ; Text address

; Battle commands
 !cmd_ns  = $0006   ; Text length
 !cmd_np  = $ECE300 ; Text address

; Dance names
 !dnc_ns  = $0008   ; Text length
 !dnc_np  = $ED7C51 ; Text address

; Enemy names
 !nme_ns  = $0008   ; Text length
 !nme_np  = $CFC800 ; Text address

; Esper names
 !esp_ns  = $0008   ; Text length
 !esp_np  = $ED750E ; Text address

; Esper bonuses
 !esb_ns  = $0008   ; Text length
 !esb_np  = $CFFEAE ; Text address

; Item names
 !itm_ns  = $0009   ; Text length
 !itm_np  = $E6F700 ; Text address

; Lore names
 !lor_ns  = $0008   ; Text length
 !lor_np  = $ED77B6 ; Text address

; Magic names
 !mag_ns  = $0005   ; Text length
 !mag_np  = $ED7400 ; Text address

; Rare item names
 !rar_ns  = $0008   ; Text length
 !rar_np  = $CEFBA0 ; Text address


;##############################################################################
;                          VWF description pointers
;##############################################################################

; Blitz descriptions
 !btz_d_h = $CF     ; Data bank
 !btz_d_p = $FF9E   ; Text pointers
 !btz_d_l = $FC00   ; Text address

; Esper bonus descriptions
 !esb_dp  = $CFFFD0 ; Text pointers
 !esb_dl  = $D0F600 ; Text address

; Esper effect descriptions
 !esp_dp  = $CFFE40 ; Text pointers
 !esp_dl  = $D8CDA0 ; Text address

; Item descriptions
 !itm_dp  = $D86E00 ; Text pointers
 !itm_dl  = $ED6400 ; Text address

; Lore descriptions
 !lor_dp  = $CFFF3E ; Text pointers
 !lor_dl  = $EDFE00 ; Text address

; Magic descriptions
 !mag_dp  = $E6F690 ; Text pointers
 !mag_dl  = $D8C9A0 ; Text address

; Rare item descriptions
 !rar_d_h = $CE     ; Data bank
 !rar_d_p = $FB60   ; Text pointers
 !rar_d_l = $FC90   ; Text address

; SwdTech descriptions
 !swt_d_h = $CF     ; Data bank
 !swt_d_p = $FFAE   ; Text pointers
 !swt_d_l = $FD00   ; Text address
